Page MenuHomePhabricator

Drop default of ip_changes.ipc_rev_timestamp
Closed, ResolvedPublic

Description

Part of T42626: Standardise type of timestamp database fields (MySQL) and T230428: Migrate tables.sql to abstract schema

  1. ALTERs to run: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/628517/8/maintenance/archives/patch-ip_changes-pc_rev_timestamp-drop-default.sql
  2. Where to run those changes: all.dblist
  3. When to run those changes: At any time
  4. If the schema change is backwards compatible: Yes
  5. If the schema change has been tested already on some of the test/beta wikis: Tested in beta cluster.
  6. if the data should be made available on the labs replicas and/or dumps: Yes, data in this table is public.

Progress

  • s10
    • eqiad
    • codfw
  • labtestwiki (clouddb2001-dev)

Event Timeline

Ladsgroup created this task.Fri, Nov 6, 1:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFri, Nov 6, 1:10 PM
Marostegui triaged this task as Medium priority.Tue, Nov 10, 7:14 AM
Marostegui moved this task from Triage to Ready on the DBA board.

It can be done online, so no master failover required:

MariaDB [test]> ALTER TABLE /*_*/ip_changes ALTER COLUMN ipc_rev_timestamp DROP DEFAULT, ALGORITHM=INPLACE, LOCK=NONE;
Query OK, 0 rows affected (0.00 sec)
Records: 0  Duplicates: 0  Warnings: 0
Marostegui moved this task from Ready to In progress on the DBA board.
Marostegui updated the task description. (Show Details)
Marostegui added a comment.EditedTue, Nov 17, 9:18 AM

s6 progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1005
  • db2141
  • db2129
  • db2124
  • db2117
  • db2114
  • db2097
  • db2095
  • db2089
  • db2087
  • db2076
  • db1140
  • db1139
  • db1131
  • db1125
  • db1113
  • db1098
  • db1096
  • db1093
  • db1088
  • db1085

I have deployed this change to db2089:3316 and I will leave it a couple of days to make sure nothing breaks, replication-wise.

# for i in `cat /home/marostegui/git/mediawiki-config/dblists/s6.dblist | grep -v "#"`; do echo $i; mysql.py -hdb2089:3316 $i -e "show create table ip_changes\G" | grep ipc_rev_timestamp | grep binary;done
frwiki
  `ipc_rev_timestamp` binary(14) NOT NULL,
jawiki
  `ipc_rev_timestamp` binary(14) NOT NULL,
ruwiki
  `ipc_rev_timestamp` binary(14) NOT NULL,
Marostegui updated the task description. (Show Details)Tue, Nov 17, 9:27 AM

Deployed on db1098:3316 - will leave it for a day to make sure nothing reads-related are affected by this change

Mentioned in SAL (#wikimedia-operations) [2020-11-18T07:45:19Z] <marostegui> Deploy schema change on db1098:3316 T267335 T267399

Marostegui updated the task description. (Show Details)Thu, Nov 19, 6:53 AM
Marostegui updated the task description. (Show Details)Thu, Nov 19, 2:06 PM
Marostegui updated the task description. (Show Details)Mon, Nov 23, 6:59 AM
Marostegui added a comment.EditedMon, Nov 23, 7:12 AM

s5 progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • db1150
  • db1145
  • db1144
  • db1130
  • db1124
  • db1113
  • db1110
  • db1100
  • db1096
  • db1082
Marostegui updated the task description. (Show Details)Mon, Nov 23, 7:16 AM
Marostegui updated the task description. (Show Details)Mon, Nov 23, 8:14 AM
Marostegui added a comment.EditedMon, Nov 23, 8:17 AM

s2 progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1004
  • db1146
  • db1129
  • db1125
  • db1122
  • db1105
  • db1095
  • db1090
  • db1076
  • db1074
Marostegui updated the task description. (Show Details)Mon, Nov 23, 8:18 AM
Marostegui updated the task description. (Show Details)Mon, Nov 23, 8:23 AM
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)Mon, Nov 23, 8:29 AM
Marostegui added a comment.EditedMon, Nov 23, 8:32 AM

s4 progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1004
  • db1150
  • db1149
  • db1148
  • db1147
  • db1146
  • db1145
  • db1144
  • db1143
  • db1142
  • db1141
  • db1138
  • db1125
  • db1121
  • db1081
Marostegui updated the task description. (Show Details)Mon, Nov 23, 8:33 AM

Mentioned in SAL (#wikimedia-operations) [2020-11-23T12:53:45Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1141 for schema change T267335 T267399', diff saved to https://phabricator.wikimedia.org/P13367 and previous config saved to /var/cache/conftool/dbconfig/20201123-125345-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-11-23T12:54:17Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repool db1141 after schema change T267335 T267399', diff saved to https://phabricator.wikimedia.org/P13368 and previous config saved to /var/cache/conftool/dbconfig/20201123-125417-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-11-23T12:57:59Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1143 for schema change T267335 T267399', diff saved to https://phabricator.wikimedia.org/P13369 and previous config saved to /var/cache/conftool/dbconfig/20201123-125759-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-11-23T12:58:16Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repool db1143 after schema change T267335 T267399', diff saved to https://phabricator.wikimedia.org/P13370 and previous config saved to /var/cache/conftool/dbconfig/20201123-125815-marostegui.json

Marostegui updated the task description. (Show Details)Mon, Nov 23, 12:59 PM
Marostegui updated the task description. (Show Details)
Marostegui added a comment.EditedMon, Nov 23, 1:02 PM

s7 progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • db1136
  • db1127
  • db1125
  • db1116
  • db1101
  • db1098
  • db1094
  • db1090
  • db1086
  • db1079
Marostegui updated the task description. (Show Details)Mon, Nov 23, 1:03 PM
Marostegui updated the task description. (Show Details)Tue, Nov 24, 6:39 AM
Marostegui updated the task description. (Show Details)
Marostegui added a comment.EditedTue, Nov 24, 6:42 AM

s8 progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1005
  • db1126
  • db1124
  • db1116
  • db1114
  • db1111
  • db1109
  • db1104
  • db1101
  • db1099
  • db1092
  • db1087
Marostegui updated the task description. (Show Details)Tue, Nov 24, 6:45 AM
Marostegui updated the task description. (Show Details)

s1 eqiad progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • db1140
  • db1139
  • db1135
  • db1134
  • db1124
  • db1119
  • db1118
  • db1106
  • db1105
  • db1099
  • db1089
  • db1084
  • db1083
  • clouddb1017
  • clouddb1013
Marostegui updated the task description. (Show Details)Tue, Nov 24, 6:50 AM
Marostegui updated the task description. (Show Details)Tue, Nov 24, 6:59 AM
Marostegui added a comment.EditedTue, Nov 24, 7:21 AM

s3 eqiad progress

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1004
  • db1124
  • db1123
  • db1112
  • db1095
  • db1078
  • db1075
  • clouddb1017
  • clouddb1013

Mentioned in SAL (#wikimedia-operations) [2020-11-24T07:22:50Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1075 for schema change T267335 T267399', diff saved to https://phabricator.wikimedia.org/P13373 and previous config saved to /var/cache/conftool/dbconfig/20201124-072249-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-11-24T07:27:15Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repool db1075 after schema change T267335 T267399', diff saved to https://phabricator.wikimedia.org/P13374 and previous config saved to /var/cache/conftool/dbconfig/20201124-072715-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-11-24T07:27:55Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1078 for schema change T267335 T267399', diff saved to https://phabricator.wikimedia.org/P13375 and previous config saved to /var/cache/conftool/dbconfig/20201124-072755-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-11-24T07:31:26Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repool db1078 after schema change T267335 T267399', diff saved to https://phabricator.wikimedia.org/P13376 and previous config saved to /var/cache/conftool/dbconfig/20201124-073125-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-11-24T07:32:02Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1112 for schema change T267335 T267399', diff saved to https://phabricator.wikimedia.org/P13377 and previous config saved to /var/cache/conftool/dbconfig/20201124-073202-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-11-24T07:43:43Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repool db1112 after schema change T267335 T267399', diff saved to https://phabricator.wikimedia.org/P13378 and previous config saved to /var/cache/conftool/dbconfig/20201124-074342-marostegui.json

Marostegui closed this task as Resolved.Tue, Nov 24, 7:51 AM
Marostegui updated the task description. (Show Details)

This is all done